## org.gnu.gtk
Class DialogFlags

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.DialogFlags

public class DialogFlags
extends Enum

Flags used to influence dialog construction.

Field Summary
`static DialogFlags` `DESTROY_WITH_PARENT` Destroy the dialog when its parent is destroyed.
`static DialogFlags` `MODAL` Make the constructed dialog modal.
`static DialogFlags` `NO_SEPARATOR` Don't put a separator between the action area and the dialog content.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`DialogFlags` `and(DialogFlags other)`
`static DialogFlags` `intern(int value)`
`DialogFlags` `or(DialogFlags other)`
`boolean` `test(DialogFlags other)`
`DialogFlags` `xor(DialogFlags other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODAL

    public static final DialogFlags MODAL

  Make the constructed dialog modal.

### DESTROY_WITH_PARENT

    public static final DialogFlags DESTROY_WITH_PARENT

  Destroy the dialog when its parent is destroyed.

### NO_SEPARATOR

    public static final DialogFlags NO_SEPARATOR

  Don't put a separator between the action area and the dialog content.

Method Detail

### intern

    public static DialogFlags intern(int value)

### or

    public DialogFlags or(DialogFlags other)

### and

    public DialogFlags and(DialogFlags other)

### xor

    public DialogFlags xor(DialogFlags other)

### test

    public boolean test(DialogFlags other)